class PushSubscriptionDocumentation

This file provides property and method documentation for the model PushSubscription.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\SystemPwa\Docs\ClassGenerated\Model\PushSubscriptionDocumentation to the model to get access to the properties.

Properties

int $id
int $user_id
string $public_key:

stored in MySQL as varchar

string $subscription:

stored in MySQL as blob

int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

Methods

PushSubscription[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

PushSubscription[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 29
PushSubscription[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

PushSubscription[]

at line 29
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 29
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 29
PushSubscription[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PushSubscription[]

at line 29
PushSubscription find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PushSubscription